Search brands
curl --request GET \
--url 'https://api.brandfetch.io/v2/search/{name}?c='import requests
url = "https://api.brandfetch.io/v2/search/{name}?c="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.brandfetch.io/v2/search/{name}?c=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brandfetch.io/v2/search/{name}?c=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brandfetch.io/v2/search/{name}?c="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brandfetch.io/v2/search/{name}?c=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brandfetch.io/v2/search/{name}?c=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"name": "Nike",
"domain": "nike.com",
"claimed": true,
"icon": "https://cdn.brandfetch.io/id_0dwKPKT/w/128/h/128/fallback/lettermark/icon.webp?c=BRANDFETCH_CLIENT_ID",
"brandId": "id_0dwKPKT"
}
]{
"message": "Slow down.",
"error": "quota_exceeded",
"docs": "https://docs.brandfetch.com/brand-search-api/overview#errors"
}{
"message": "Brand Search is temporarily unavailable. Please retry."
}Brand Search API
Brand Search API reference
Search brands by company name with GET /v2/search/ and get back matching brands with their domain, icon, and Brand ID, authenticated with your client ID.
GET
/
v2
/
search
/
{name}
Search brands
curl --request GET \
--url 'https://api.brandfetch.io/v2/search/{name}?c='import requests
url = "https://api.brandfetch.io/v2/search/{name}?c="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.brandfetch.io/v2/search/{name}?c=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brandfetch.io/v2/search/{name}?c=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brandfetch.io/v2/search/{name}?c="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brandfetch.io/v2/search/{name}?c=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brandfetch.io/v2/search/{name}?c=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"name": "Nike",
"domain": "nike.com",
"claimed": true,
"icon": "https://cdn.brandfetch.io/id_0dwKPKT/w/128/h/128/fallback/lettermark/icon.webp?c=BRANDFETCH_CLIENT_ID",
"brandId": "id_0dwKPKT"
}
]{
"message": "Slow down.",
"error": "quota_exceeded",
"docs": "https://docs.brandfetch.com/brand-search-api/overview#errors"
}{
"message": "Brand Search is temporarily unavailable. Please retry."
}Read our guidelines before
using the Brand Search API.
Authorizations
Your Brand Search client ID, sent as the c query parameter. Get one at https://developers.brandfetch.com.
Query Parameters
A clientId is a unique identifier assigned to your application that allows it to authenticate and interact with our service. Get your client ID here
Response
Returns brand data
Set to true if the owner of the brand claimed its brand profile on Brandfetch
Was this page helpful?